#!/usr/bin/env python
import argparse

from StrategyPlayer import StrategyPlayer
from Client import AIWOLFPythonClient

#import from_nlp
import from_nlp_batch as from_nlp

debug_mode = 'n'
nlp_mode = True

def print_debug(x):
    if debug_mode == 'y':
        print(x)

# version info, comment out this
print_debug('this is ver170305')

# parse Args
parser = argparse.ArgumentParser(add_help=False)
parser.add_argument('-p', type=int, action='store', dest='port')
parser.add_argument('-h', type=str, action='store', dest='hostname')
parser.add_argument('-k', type=str, action='store', dest='api_key')
parser.add_argument('-n', type=str, action='store', dest='name')
input_args = parser.parse_args()
aiwolf_host = input_args.hostname
aiwolf_port = input_args.port
aiwolf_api_key = input_args.api_key
aiwolf_name = input_args.name

# agent class
AgentClass = StrategyPlayer

# run
if __name__ == '__main__':
    # initialization
    from_nlp.initialize(aiwolf_api_key)
    asl = ['Agent[' + ('%02d' % i) + ']' for i in range(1, 5+1)]
    print(from_nlp.from_japanese(['私は人狼です'], [4], asl))

    AIWOLFPythonClient(AgentClass, aiwolf_host, aiwolf_port, aiwolf_name, nlp_mode)