# -*- coding: utf-8 -*-
# to_nlp.py
# Katsuki Ohto

import aiwolf

role_string_jp = ['人間', '占い師', '霊媒師', '狩人', '狂人', '人狼']
species_string_jp = ['人間', '人狼']

# 語尾
# 0 私 ですわ
# 1 俺 だぜ
# 2 うち なのです
# 3 あたし よ,わ
# 4 僕, だよ

subject_string_jp = ['私', '俺', 'うち', 'あたし', '僕']
opening_stirng_jp = ['いざ尋常に勝負ですわ',
                     '俺に付いてこいよ',
                     'お手柔らかにお願いしますなのですよ',
                     'あたしを信用しなかったら許さないんだから',
                     '僕のこと信頼してくれるとうれしいな']

def to_opening_japanese(ai):
    return opening_stirng_jp[ai]

def to_agent(i):
    return i

def to_role(i):
    return role_string_jp[i]

def to_species(i):
    return species_string_jp[i]

def to_japanese(c, ai):
    c = c.split()
    if c[0] == 'ESTIMATE':
        suffix = ['いますわ', 'うぜ', 'うのですよ', 'うわ', 'うな']
        return to_agent(c[1]) + 'は' + to_role(aiwolf.ROLE_MAP[c[2]]) + 'だと思' + suffix[ai]
    elif c[0] == 'COMINGOUT':
        suffix = ['ですわ', 'だぜ', 'なのですよ', 'よ', 'だよ']
        return subject_string_jp[ai] + 'は' + to_role(aiwolf.ROLE_MAP[c[2]]) + suffix[ai]
    elif c[0] == 'DIVINATION':
        suffix = ['いますわ', 'うぜ', 'うのですよ', 'うわ', 'おうかな']
        return to_agent(c[1]) + 'を占' + suffix[ai]
    elif c[0] == 'DIVINED':
        suffix = ['でしたわ', 'だったぜ', 'だったのですよ', 'だったわよ', 'だったよ']
        return to_agent(c[1]) + 'を占った結果' + to_species(aiwolf.SPECIES_MAP[c[2]]) + suffix[ai]
    elif c[0] == 'IDENTIFIED':
        suffix = ['でしたわ', 'だったぜ', 'だったのですよ', 'だったわよ', 'だったよ']
        return to_agent(c[1]) + 'は霊媒の結果' + to_species(aiwolf.SPECIES_MAP[c[2]]) + suffix[ai]
    elif c[0] == 'GURAD':
        suffix = ['しますわ', 'するぜ', 'するのですよ', 'するわよ', 'しようかな']
        return to_agent(c[1]) + 'を護衛' + suffix[ai]
    elif c[0] == 'GUARDED':
        return to_agent(c[1]) + 'を護衛した'
    elif c[0] == 'VOTE':
        suffix = ['しますわ', 'するぜ', 'するのですよ', 'するわよ', 'しようかな']
        return to_agent(c[1]) + 'に投票' + suffix[ai]
    elif c[0] == 'ATTACK':
        suffix = ['しますわ', 'するぜ', 'するのですよ', 'するわよ', 'しようかな']
        return to_agent(c[1]) + 'に襲撃投票' + suffix[ai]
    elif c[0] == 'AGREE':
        return '同意する'
    elif c[0] == 'DISAGREE':
        return '反対する'
    elif c[0] == 'REQUEST':
        return '要求する'
    else:
        return 'Skip'


